# BigNumberFactory Class Reference
[Mathematical utilities]

Inheritance diagram for BigNumberFactory:
[legend]

List of all members.

## Public Member Functions

| makeNumber ($number, $base=10)
| makeFromBinary ($binary)
| make number from big-endian signed two's complement binary notation
| makeRandom ($stop, RandomSource $source)

## Detailed Description

Definition at line 15 of file BigNumberFactory.class.php.

## Member Function Documentation

BigNumberFactory::makeFromBinary | ( | $ | binary | ) | `[abstract]`

make number from big-endian signed two's complement binary notation

Returns:
  BigInteger

Reimplemented in GmpBigIntegerFactory.

BigNumberFactory::makeNumber | ( | $ | number,
|  | $ | base = `10` |
| ) |  |  | `[abstract]`

Returns:
  BigInteger

Reimplemented in GmpBigIntegerFactory.

BigNumberFactory::makeRandom | ( | $ | stop,
|  | RandomSource $ | source |
| ) |  |  | `[abstract]`

Parameters:

  | $stop | maximum random number

Returns:
  BigInteger

Reimplemented in GmpBigIntegerFactory.

The documentation for this class was generated from the following file:

- main/Math/BigNumberFactory.class.php